Skip to main content

Create Block Slot

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.create_block_slot

Create a blocked time slot to prevent bookings during specific times

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-create-block-slot-example",
"method": "tools/call",
"params": {
"name": "ghl.create_block_slot",
"arguments": {
"startTime": "startTime_example",
"endTime": "endTime_example",
"tenantId": "tenantId_123",
"calendarId": "calendarId_123",
"assignedUserId": "assignedUserId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"startTime": {
"type": "string"
},
"endTime": {
"type": "string"
},
"calendarId": {
"type": "string"
},
"assignedUserId": {
"type": "string"
}
},
"required": [
"startTime",
"endTime"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-create-block-slot-example",
"method": "tools/call",
"params": {
"name": "ghl.create_block_slot",
"arguments": {
"startTime": "startTime_example",
"endTime": "endTime_example",
"tenantId": "tenantId_123",
"calendarId": "calendarId_123",
"assignedUserId": "assignedUserId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.create_block_slot executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}